TF_DecryptorImpl< SCHEME_OPTIONS > Class Template Reference

Trapdoor Function (TF) decryptor options. More...

`#include <pubkey.h>`

Inheritance diagram for TF_DecryptorImpl< SCHEME_OPTIONS >:

## Additional Inherited Members

Public Types inherited from TF_ObjectImpl< TF_DecryptorBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
typedef SCHEME_OPTIONS::PrivateKey | KeyClass
Public Types inherited from TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >
typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY_CLASS | KeyClass
Public Member Functions inherited from TF_ObjectImpl< TF_DecryptorBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
const KeyClass & | GetKey () const
KeyClass & | AccessKey ()
Public Member Functions inherited from TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class SCHEME_OPTIONS>
class TF_DecryptorImpl< SCHEME_OPTIONS >

Trapdoor Function (TF) decryptor options.

Template Parameters

  SCHEME_OPTIONS | scheme options class

Definition at line 657 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h